ru.bitel.bgbilling.kernel.contract.api.common.bean

## Class ContractLimitMovement

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractLimitMovement

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ContractLimitMovement
      extends Id

  Изменение лимита договора.
  Author:
    amir
  See Also:
    `LimitManager`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLimitMovement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmount()` Значение - на сколько был изменен лимит.
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getStatus()`
    `void` | `setAmount(java.math.BigDecimal amount)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractLimitMovement

          public ContractLimitMovement()

  - ### Method Detail

    - #### getAmount

          public java.math.BigDecimal getAmount()

      Значение - на сколько был изменен лимит.
      Returns:

    - #### setAmount

          public void setAmount(java.math.BigDecimal amount)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)